Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.state.producer
Class ProducerPortletInvoker

    java.lang.Object
      org.jboss.portal.portlet.PortletInvokerInterceptor
          org.jboss.portal.portlet.state.producer.ProducerPortletInvoker

All Implemented Interfaces:
  PortletInvoker

    public class ProducerPortletInvoker

extends PortletInvokerInterceptor

Version:
  $Revision: 6765 $
Author:
  Julien Viet

Constructor Summary
`ProducerPortletInvoker()`

Method Summary
`PortletContext` | `createClone(PortletContext portletContext)` Clone a portlet.
`java.util.List<DestroyCloneFailure>` | `destroyClones(java.util.List<PortletContext> portletContexts)` Destroy a cloned portlet.
`PortletStatePersistenceManager` | `getPersistenceManager()`
`Portlet` | `getPortlet(PortletContext portletContext)` Get information about a specific portlet.
`PropertyMap` | `getProperties(PortletContext portletContext)` Return all the properties of the specified portlet.
`PropertyMap` | `getProperties(PortletContext portletContext, java.util.Set<java.lang.String> keys)` Return a subset of the properties of the specified portlet.
`StateConverter` | `getStateConverter()`
`StateManagementPolicy` | `getStateManagementPolicy()`
`PortletInvocationResponse` | `invoke(PortletInvocation invocation)` Invoke an operation on a specific portlet.
`void` | `setPersistenceManager(PortletStatePersistenceManager ppm)`
`PortletContext` | `setProperties(PortletContext portletContext, PropertyChange[] changes)` Set the properties on the specified portlet.
`void` | `setStateConverter(StateConverter stateConverter)`
`void` | `setStateManagementPolicy(StateManagementPolicy stateManagementPolicy)`

Methods inherited from class org.jboss.portal.portlet.PortletInvokerInterceptor
`getNext, getPortlets, setNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerPortletInvoker

    public ProducerPortletInvoker()

Method Detail

### getPersistenceManager

    public PortletStatePersistenceManager getPersistenceManager()

### setPersistenceManager

    public void setPersistenceManager(PortletStatePersistenceManager ppm)

### getStateManagementPolicy

    public StateManagementPolicy getStateManagementPolicy()

### setStateManagementPolicy

    public void setStateManagementPolicy(StateManagementPolicy stateManagementPolicy)

### getStateConverter

    public StateConverter getStateConverter()

### setStateConverter

    public void setStateConverter(StateConverter stateConverter)

### getPortlet

    public Portlet getPortlet(PortletContext portletContext)
                       throws java.lang.IllegalArgumentException,
                              PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Get information about a specific portlet.

  Specified by:
    `getPortlet` in interface `PortletInvoker`
  Overrides:
    `getPortlet` in class `PortletInvokerInterceptor`
  Parameters:
    `portletContext` - the portlet context in the scope of this invoker
  Returns:
    the `PortletInfo` for the specified portlet
  Throws:
    `java.lang.IllegalArgumentException` - if the portlet context is null
    `PortletInvokerException` - a portlet invoker exception

### invoke

    public PortletInvocationResponse invoke(PortletInvocation invocation)
                                     throws PortletInvokerException,
                                            org.jboss.portal.common.invocation.InvocationException

  Description copied from interface: `PortletInvoker`
  Invoke an operation on a specific portlet.

  Specified by:
    `invoke` in interface `PortletInvoker`
  Overrides:
    `invoke` in class `PortletInvokerInterceptor`
  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the invocation response
  Throws:
    `PortletInvokerException` - a portlet invoker exception
    `org.jboss.portal.common.invocation.InvocationException`

### createClone

    public PortletContext createClone(PortletContext portletContext)
                               throws java.lang.IllegalArgumentException,
                                      PortletInvokerException,
                                      java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Clone a portlet.

  Specified by:
    `createClone` in interface `PortletInvoker`
  Overrides:
    `createClone` in class `PortletInvokerInterceptor`
  Parameters:
    `portletContext` - the portlet context to clone
  Returns:
    the clone id
  Throws:
    `java.lang.IllegalArgumentException` - if the portletId is null
    `PortletInvokerException` - a portlet invoker exception
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation

### destroyClones

    public java.util.List<DestroyCloneFailure> destroyClones(java.util.List<PortletContext> portletContexts)
                                                      throws java.lang.IllegalArgumentException,
                                                             PortletInvokerException,
                                                             java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Destroy a cloned portlet.

  Specified by:
    `destroyClones` in interface `PortletInvoker`
  Overrides:
    `destroyClones` in class `PortletInvokerInterceptor`
  Parameters:
    `portletContexts` - a list of portlet contexts to destroy
  Returns:
    a list of `DestroyCloneFailure`, one per clone that couldn't be destroyed
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext is null
    `PortletInvokerException` - a portlet invoker exception
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation

### getProperties

    public PropertyMap getProperties(PortletContext portletContext,
                                     java.util.Set<java.lang.String> keys)
                              throws java.lang.IllegalArgumentException,
                                     PortletInvokerException,
                                     java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Return a subset of the properties of the specified portlet.

  Specified by:
    `getProperties` in interface `PortletInvoker`
  Overrides:
    `getProperties` in class `PortletInvokerInterceptor`
  Parameters:
    `portletContext` - the portlet context
    `keys` - the set of keys to retrieve
  Returns:
    the properties
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext or the keys arguments are null
    `PortletInvokerException` - a portlet invoker exception
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation

### getProperties

    public PropertyMap getProperties(PortletContext portletContext)
                              throws java.lang.IllegalArgumentException,
                                     PortletInvokerException,
                                     java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Return all the properties of the specified portlet.

  Specified by:
    `getProperties` in interface `PortletInvoker`
  Overrides:
    `getProperties` in class `PortletInvokerInterceptor`
  Parameters:
    `portletContext` - the portlet context
  Returns:
    the properties
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext is null
    `PortletInvokerException` - a portlet invoker exception
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation

### setProperties

    public PortletContext setProperties(PortletContext portletContext,
                                        PropertyChange[] changes)
                                 throws java.lang.IllegalArgumentException,
                                        PortletInvokerException,
                                        java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Set the properties on the specified portlet.

  Specified by:
    `setProperties` in interface `PortletInvoker`
  Overrides:
    `setProperties` in class `PortletInvokerInterceptor`
  Parameters:
    `portletContext` - the portlet context
    `changes` - the changes
  Returns:
    the new portlet context
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext or the properties is null
    `PortletInvokerException` - a portlet invoker exception
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.